POST /interaction/v1/interactions/publishAsync/{id}?versionNumber={versionNumber}

Overview 

Publishes a journey version asynchronously. To call this resource, assign your API Integration the Automation | Interactions | Read scope.

URL Parameters 

NameTypeDescription
idstringRequiredThe ID of the journey to publish expressed in the form of a GUID (UUID).
versionNumberintegerRequiredVersion number of the journey to publish

Usage 

Example Request

This request asynchronously publishes the journey specified by the ID request parameter. Only the versionNumber specified in the versionNumber QUERY Parameter will be published. You must provide a valid versionNumber.

1Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
2POST /interaction/v1/interactions/publishAsync/{id}?versionNumber={versionNumber}
3Content-Type: application/json
4Authorization: Bearer YOUR_ACCESS_TOKEN

Example Response

1HTTP/1.1 200
2{
3    "statusId": "bd93502a-773c-4588-81d9-d3c7ca0cc10a"
4}

Example Error Response

1HTTP/1.1 500
2{
3    "documentation": "",
4    "errorcode": 500,
5    "message": "Internal Server Error"
6}

DID THIS ARTICLE SOLVE YOUR ISSUE?
Let us know so we can improve!